View Issue Details

IDProjectCategoryView StatusLast Update
0008285CentOS-7kernelpublic2016-11-24 19:19
Reporterarmada 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version7.0-1406 
Target VersionFixed in Version 
Summary0008285: DVB-T Receiver "Terratec Cinergy Hybrid T USB XS" not working
DescriptionThe DVB-T function of Terratec Cinergy Hybrid T USB XS receivers ist not working.

My problem is exactly the same as described in
http://linuxtv.org/pipermail/linux-dvb/2014-May/032967.html
This post also has a patch which solved the problem for me.

The em28xx driver causes the :
em2882/3 #0: /2: dvb frontend not attached. Can't attach xc3028

Changing the USB_DEVICE(0x0ccd, 0x0042) from driver_info = EM2882_BOARD_TERRATEC_HYBRID_XS to EM2880_BOARD_TERRATEC_HYBRID_XS solved the problem.
Steps To Reproduce- Connect DVB-T receiver via USB
- /var/log/messages shows the error
Additional InformationThe patch listed in http://linuxtv.org/pipermail/linux-dvb/2014-May/032967.html solved my problem.

The patch file I used is attached (line numbers differ w.r.t to the above referenced patch).
TagsNo tags attached.
abrt_hash
URL

Activities

armada

armada

2015-03-07 16:20

reporter  

em28xx-cards.c.patch (555 bytes)
--- b/drivers/media/usb/em28xx/em28xx-cards.c	2015-03-07 16:25:31.870166341 +0100
+++ b/drivers/media/usb/em28xx/em28xx-cards.c	2015-03-07 16:26:00.938041833 +0100
@@ -2091,7 +2091,7 @@
 	{ USB_DEVICE(0x0ccd, 0x005e),
 			.driver_info = EM2882_BOARD_TERRATEC_HYBRID_XS },
 	{ USB_DEVICE(0x0ccd, 0x0042),
-			.driver_info = EM2882_BOARD_TERRATEC_HYBRID_XS },
+			.driver_info = EM2880_BOARD_TERRATEC_HYBRID_XS },
 	{ USB_DEVICE(0x0ccd, 0x0043),
 			.driver_info = EM2870_BOARD_TERRATEC_XS },
 	{ USB_DEVICE(0x0ccd, 0x008e),	/* Cinergy HTC USB XS Rev. 1 */
em28xx-cards.c.patch (555 bytes)
toracat

toracat

2015-03-07 16:57

manager   ~0022486

I can add the patch to the next release of the centosplus kernel (7.1 GA kernel -229).

Could you file a bug report upstream at http://bugzilla.redhat.com so that the distro kernel gets fixed?
toracat

toracat

2015-04-07 17:10

manager   ~0022694

The patch was added to the C7 GA kernel-plus (3.10.0-229.el7.centos.plus).
armada

armada

2015-04-09 20:56

reporter   ~0022740

I added a bug report at RedHat: https://bugzilla.redhat.com/show_bug.cgi?id=1210491
toracat

toracat

2016-02-18 20:50

manager   ~0025778

@armada

Is there any progress with BZ 1210491?
armada

armada

2016-02-22 21:42

reporter   ~0025815

No progress and I asked the responsible. His answer:
--------------------------
 Jarod Wilson 2016-02-22 12:10:49 EST

> Any chance this problem will be fixed?

Not likely. QA doesn't have the capacity for testing such things. You're likely better off using the v4l/dvb compat backports via the 'media build' tree of linuxtv.org: http://linuxtv.org/projects.php
toracat

toracat

2016-11-24 19:19

manager   ~0027992

From the way it looks, there is little hope that the bug gets fixed upstream (RHEL). The plus kernel continues to be built with the patch. The latest is the GA kernel for CentOS 7.3.1611.

I'm going to close the ticket as 'resolved'. @armada, feel free to reopen if you see any status change in the BZ you filed.

Issue History

Date Modified Username Field Change
2015-03-07 16:20 armada New Issue
2015-03-07 16:20 armada File Added: em28xx-cards.c.patch
2015-03-07 16:57 toracat Note Added: 0022486
2015-03-07 16:57 toracat Status new => assigned
2015-04-07 17:10 toracat Note Added: 0022694
2015-04-09 20:56 armada Note Added: 0022740
2016-02-18 20:50 toracat Note Added: 0025778
2016-02-18 20:50 toracat Status assigned => feedback
2016-02-22 21:42 armada Note Added: 0025815
2016-02-22 21:42 armada Status feedback => assigned
2016-11-24 19:19 toracat Note Added: 0027992
2016-11-24 19:19 toracat Status assigned => resolved
2016-11-24 19:19 toracat Resolution open => fixed